Subject: Re: graphical install, no network device found (HP EliteDesk 800 G1)

From: Giovanni Biscuolo <[email-masked]>
Date: Wed, 08 May 2019 12:03:56 +0200

Hello Guix,

actually I had a faulty USB media (details below): I've redone it but
nothing changed, I'm still getting the "Internet access" dialog with an
error message telling "no network device were found"

Giovanni Biscuolo <[email-masked]> writes:

[...]

> The one and only test that comes to my mind is to double check the
> content wrote to the pen drive is not somehow corrupted, I got it and
> dd'ed following the Guix manual instructions [2]
>
> I'll check and/or redo my install media to see if that's the problem

--8<---------------cut here---------------start------------->8---
$ sudo cmp -n `stat -c '%s' guix-system-install-1.0.0.x86_64-linux.iso` guix-system-install-1.0.0.x86_64-linux.iso /dev/sdb
guix-system-install-1.0.0.x86_64-linux.iso /dev/sdb differ: byte 4128769, line 1274
--8<---------------cut here---------------end--------------->8---

so I computed the sha1sum of the downloades ISO image:

--8<---------------cut here---------------start------------->8---
$ sha1sum guix-system-install-1.0.0.x86_64-linux.iso
724eaa8f6f80ed65d07965f2b96282023c6736c3  guix-system-install-1.0.0.x86_64-linux.iso
--8<---------------cut here---------------end--------------->8---

and the one from my pen drive:

--8<---------------cut here---------------start------------->8---
$ sudo head -c $(stat -c '%s' guix-system-install-1.0.0.x86_64-linux.iso) /dev/sdb | sha1sum 
9ad81a175d49df62561bb274cc74bafb7a9cc199  -
--8<---------------cut here---------------end--------------->8---

they differ: the USB pen drive image was corrupted!

now I remember: I'm almost sure I did not _sync_ the device after dd, as
clearly stated in the documentation

I copied the ISO again (dd if=guix-system-install-1.0.0.system.iso
of=/dev/sdX && sync) and re-computed the USB pen drive sha1sum:

--8<---------------cut here---------------start------------->8---
$ time sudo head -c $(stat -c '%s' guix-system-install-1.0.0.x86_64-linux.iso) /dev/sdb | sha1sum 
724eaa8f6f80ed65d07965f2b96282023c6736c3  -
--8<---------------cut here---------------end--------------->8---

it corresponds to the ISO one now

really strange...

HTH! Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures